// Usage insert this into the body of the html

//<script type="text/javascript">
//new fadeshow(IMAGES_ARRAY_NAME, slideshow_width, slideshow_height, borderwidth, delay, pause (0=no, 1=yes), optionalRandomOrder)
//new fadeshow(fadeimages, 140, 225, 0, 3000, 1, "R")
//new fadeshow(fadeimages2, 140, 225, 0, 3000, 0)
 
//</script>

//


/*
var image1 = new Image();
var image2 = new Image();
var image3 = new Image();
var image4 = new Image();
var image5 = new Image();
var image6 = new Image();

var image7 = new Image();
var image8 = new Image();
var image9 = new Image();
var image10 = new Image();
var image11 = new Image();
var image12 = new Image();
var image13 = new Image();
var image14 = new Image();

image1.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_1.jpg";
image2.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_2.jpg";
image3.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_3.jpg";
image4.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_4.jpg";
image5.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_5.jpg";
image6.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_6.jpg";

image7.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_7.jpg";
image8.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_8.jpg";
image9.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_9.jpg";
image10.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_10.jpg";
image11.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_11.jpg";
image11.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_12.jpg";
image11.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_13.jpg";
image11.src = "http://www1.ruyton.vic.edu.au/_media/home_page_banners/intro_14.jpg";
*/

var fadeimages=new Array()
//SET IMAGE PATHS. Extend or contract array as needed
fadeimages[0]=["http://www.ruyton.vic.edu.au/__data/assets/image/0010/1144/intro_1.jpg", "", ""]
fadeimages[1]=["http://www.ruyton.vic.edu.au/__data/assets/image/0011/1145/intro_2.jpg", "", ""]
fadeimages[2]=["http://www.ruyton.vic.edu.au/__data/assets/image/0012/1146/intro_3.jpg", "", ""]
fadeimages[3]=["http://www.ruyton.vic.edu.au/__data/assets/image/0007/1141/intro_4.jpg", "", ""]
fadeimages[4]=["http://www.ruyton.vic.edu.au/__data/assets/image/0008/1142/intro_5.jpg", "", ""]
fadeimages[5]=["http://www.ruyton.vic.edu.au/__data/assets/image/0009/1143/intro_6.jpg", "", ""]
fadeimages[6]=["http://www.ruyton.vic.edu.au/__data/assets/image/0005/1769/intro_7.jpg", "", ""]
fadeimages[7]=["http://www.ruyton.vic.edu.au/__data/assets/image/0015/1770/intro_8.jpg", "", ""]
fadeimages[8]=["http://www.ruyton.vic.edu.au/__data/assets/image/0016/1771/intro_9.jpg", "", ""]
fadeimages[9]=["http://www.ruyton.vic.edu.au/__data/assets/image/0017/1772/intro_10.jpg", "", ""] 
fadeimages[10]=["http://www.ruyton.vic.edu.au/__data/assets/image/0018/1773/intro_11.jpg", "", ""]
fadeimages[11]=["http://www.ruyton.vic.edu.au/__data/assets/image/0019/1774/intro_12.jpg", "", ""]
fadeimages[12]=["http://www.ruyton.vic.edu.au/__data/assets/image/0020/1775/intro_13.jpg", "", ""]
fadeimages[13]=["http://www.ruyton.vic.edu.au/__data/assets/image/0003/1776/intro_14.jpg", "", ""]

var fadebgcolor="white"

////NO need to edit beyond here/////////////
 
var fadearray=new Array() //array to cache fadeshow instances
var fadeclear=new Array() //array to cache corresponding clearinterval pointers
 
var dom=(document.getElementById) //modern dom browsers
var iebrowser=document.all
 
function fadeshow(theimages, fadewidth, fadeheight, borderwidth, delay, pause, displayorder){
this.pausecheck=pause
this.mouseovercheck=0
this.delay=delay
this.degree=10 //initial opacity degree (10%)
this.curimageindex=0
this.nextimageindex=1
fadearray[fadearray.length]=this
this.slideshowid=fadearray.length-1
this.canvasbase="canvas"+this.slideshowid
this.curcanvas=this.canvasbase+"_0"
if (typeof displayorder!="undefined")
theimages.sort(function() {return 0.5 - Math.random();}) 
this.theimages=theimages
this.imageborder=parseInt(borderwidth)
this.postimages=new Array() //preload images
for (p=0;p<theimages.length;p++){
this.postimages[p]=new Image()
this.postimages[p].src=theimages[p][0]
}
 
var fadewidth=fadewidth+this.imageborder*2
var fadeheight=fadeheight+this.imageborder*2
 
if (iebrowser&&dom||dom) //if IE5+ or modern browsers (ie: Firefox)
document.write('<div id="master'+this.slideshowid+'" style="position:relative;width:'+fadewidth+'px;height:'+fadeheight+'px;overflow:hidden;"><div id="'+this.canvasbase+'_0" style="position:absolute;width:'+fadewidth+'px;height:'+fadeheight+'px;top:0;left:0;filter:progid:DXImageTransform.Microsoft.alpha(opacity=10);opacity:0.1;-moz-opacity:0.1;-khtml-opacity:0.1;background-color:'+fadebgcolor+'"></div><div id="'+this.canvasbase+'_1" style="position:absolute;width:'+fadewidth+'px;height:'+fadeheight+'px;top:0;left:0;filter:progid:DXImageTransform.Microsoft.alpha(opacity=10);opacity:0.1;-moz-opacity:0.1;-khtml-opacity:0.1;background-color:'+fadebgcolor+'"></div></div>')
else
document.write('<div><img name="defaultslide'+this.slideshowid+'" src="'+this.postimages[0].src+'"></div>')
 
if (iebrowser&&dom||dom) //if IE5+ or modern browsers such as Firefox
this.startit()
else{
this.curimageindex++
setInterval("fadearray["+this.slideshowid+"].rotateimage()", this.delay)
}
}

function fadepic(obj){
if (obj.degree<100){
obj.degree+=10
if (obj.tempobj.filters&&obj.tempobj.filters[0]){
if (typeof obj.tempobj.filters[0].opacity=="number") //if IE6+
obj.tempobj.filters[0].opacity=obj.degree
else //else if IE5.5-
obj.tempobj.style.filter="alpha(opacity="+obj.degree+")"
}
else if (obj.tempobj.style.MozOpacity)
obj.tempobj.style.MozOpacity=obj.degree/101
else if (obj.tempobj.style.KhtmlOpacity)
obj.tempobj.style.KhtmlOpacity=obj.degree/100
else if (obj.tempobj.style.opacity&&!obj.tempobj.filters)
obj.tempobj.style.opacity=obj.degree/101
}
else{
clearInterval(fadeclear[obj.slideshowid])
obj.nextcanvas=(obj.curcanvas==obj.canvasbase+"_0")? obj.canvasbase+"_0" : obj.canvasbase+"_1"
obj.tempobj=iebrowser? iebrowser[obj.nextcanvas] : document.getElementById(obj.nextcanvas)
obj.populateslide(obj.tempobj, obj.nextimageindex)
obj.nextimageindex=(obj.nextimageindex<obj.postimages.length-1)? obj.nextimageindex+1 : 0
setTimeout("fadearray["+obj.slideshowid+"].rotateimage()", obj.delay)
}
}
 
fadeshow.prototype.populateslide=function(picobj, picindex){
var slideHTML=""
if (this.theimages[picindex][1]!="") //if associated link exists for image
slideHTML='<a href="'+this.theimages[picindex][1]+'" target="'+this.theimages[picindex][2]+'">'
slideHTML+='<img src="'+this.postimages[picindex].src+'" border="'+this.imageborder+'px">'
if (this.theimages[picindex][1]!="") //if associated link exists for image
slideHTML+='</a>'
picobj.innerHTML=slideHTML
}
 
 
fadeshow.prototype.rotateimage=function(){
if (this.pausecheck==1) //if pause onMouseover enabled, cache object
var cacheobj=this
if (this.mouseovercheck==1)
setTimeout(function(){cacheobj.rotateimage()}, 100)
else if (iebrowser&&dom||dom){
this.resetit()
var crossobj=this.tempobj=iebrowser? iebrowser[this.curcanvas] : document.getElementById(this.curcanvas)
crossobj.style.zIndex++
fadeclear[this.slideshowid]=setInterval("fadepic(fadearray["+this.slideshowid+"])",50)
this.curcanvas=(this.curcanvas==this.canvasbase+"_0")? this.canvasbase+"_1" : this.canvasbase+"_0"
}
else{
var ns4imgobj=document.images['defaultslide'+this.slideshowid]
ns4imgobj.src=this.postimages[this.curimageindex].src
}
this.curimageindex=(this.curimageindex<this.postimages.length-1)? this.curimageindex+1 : 0
}
 
fadeshow.prototype.resetit=function(){
this.degree=10
var crossobj=iebrowser? iebrowser[this.curcanvas] : document.getElementById(this.curcanvas)
if (crossobj.filters&&crossobj.filters[0]){
if (typeof crossobj.filters[0].opacity=="number") //if IE6+
crossobj.filters(0).opacity=this.degree
else //else if IE5.5-
crossobj.style.filter="alpha(opacity="+this.degree+")"
}
else if (crossobj.style.MozOpacity)
crossobj.style.MozOpacity=this.degree/101
else if (crossobj.style.KhtmlOpacity)
crossobj.style.KhtmlOpacity=this.degree/100
else if (crossobj.style.opacity&&!crossobj.filters)
crossobj.style.opacity=this.degree/101
}
 
 
fadeshow.prototype.startit=function(){
var crossobj=iebrowser? iebrowser[this.curcanvas] : document.getElementById(this.curcanvas)
this.populateslide(crossobj, this.curimageindex)
if (this.pausecheck==1){ //IF SLIDESHOW SHOULD PAUSE ONMOUSEOVER
var cacheobj=this
var crossobjcontainer=iebrowser? iebrowser["master"+this.slideshowid] : document.getElementById("master"+this.slideshowid)
crossobjcontainer.onmouseover=function(){cacheobj.mouseovercheck=1}
crossobjcontainer.onmouseout=function(){cacheobj.mouseovercheck=0}
}
this.rotateimage()
}
